List ACLs
Lists all ACL rules configured on a virtual cluster.
Requires admin or read-only permissions.
Request
Section titled “Request”curl https://api.warpstream.com/api/v1/virtual_clusters/acls/list \-H 'warpstream-api-key: XXXXXXXXXX' \-H 'Content-Type: application/json' \-d '{"virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee"}'Response
Section titled “Response”{ "acls": [ { "resource_type": "TOPIC", "resource_name": "orders", "pattern_type": "LITERAL", "principal": "User:alice", "host": "*", "operation": "READ", "permission_type": "ALLOW", "created_at": "2026-10-01T11:01:04.789Z" }, { "resource_type": "TOPIC", "resource_name": "events", "pattern_type": "PREFIXED", "principal": "User:bob", "host": "*", "operation": "WRITE", "permission_type": "ALLOW" } ]}created_at is when the ACL was created, as an RFC 3339 UTC timestamp. Creating an ACL that already exists keeps its original created_at. Omitted for ACLs created before October 2026 when creation times started being recorded.
If no ACLs are configured, the response will contain an empty array:
{ "acls": []}